# Stackdriver Error Reporting V1beta1 Client - Class ListGroupStatsResponse (0.26.1)

0.26.1 (latest) 0.26.0 0.25.3 0.24.0 0.23.1 0.22.10 0.21.1 0.20.2 0.19.12

> [!WARNING]
> **Beta**
>
>
> This library is covered by the [Pre-GA Offerings Terms](https://docs.cloud.google.com/terms/service-terms#1)
> of the Terms of Service. Pre-GA libraries might have limited support,
> and changes to pre-GA libraries might not be compatible with other pre-GA versions.
> For more information, see the
> [launch stage descriptions](https://docs.cloud.google.com/products#product-launch-stages).

Reference documentation and code samples for the Stackdriver Error Reporting V1beta1 Client class ListGroupStatsResponse.

Contains a set of requested error group stats.

Generated from protobuf message `google.devtools.clouderrorreporting.v1beta1.ListGroupStatsResponse`

## Namespace

Google \\ Cloud \\ ErrorReporting \\ V1beta1

## Methods

### __construct

Constructor.

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `data` | `array` Optional. Data for populating the Message object. |
| `↳ error_group_stats` | `array<https://docs.cloud.google.com/php/docs/reference/cloud-error-reporting/latest/V1beta1.ErrorGroupStats>` The error group stats which match the given request. |
| `↳ next_page_token` | `string` If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results. |
| `↳ time_range_begin` | `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/Timestamp` The timestamp specifies the start time to which the request was restricted. The start time is set based on the requested time range. It may be adjusted to a later time if a project has exceeded the storage quota and older data has been deleted. |

### getErrorGroupStats

The error group stats which match the given request.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/RepeatedField<https://docs.cloud.google.com/php/docs/reference/cloud-error-reporting/latest/V1beta1.ErrorGroupStats>` |   |

### setErrorGroupStats

The error group stats which match the given request.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `array<https://docs.cloud.google.com/php/docs/reference/cloud-error-reporting/latest/V1beta1.ErrorGroupStats>` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getNextPageToken

If non-empty, more results are available.

Pass this token, along with the same query parameters as the first
request, to view the next page of results.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setNextPageToken

If non-empty, more results are available.

Pass this token, along with the same query parameters as the first
request, to view the next page of results.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getTimeRangeBegin

The timestamp specifies the start time to which the request was restricted.

The start time is set based on the requested time range. It may be adjusted
to a later time if a project has exceeded the storage quota and older data
has been deleted.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/Timestamp|null` |   |

### hasTimeRangeBegin

### clearTimeRangeBegin

### setTimeRangeBegin

The timestamp specifies the start time to which the request was restricted.

The start time is set based on the requested time range. It may be adjusted
to a later time if a project has exceeded the storage quota and older data
has been deleted.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/Timestamp` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |